history_s Struct Reference

History (paths) information at any point in allphone Viterbi search. More...

`#include <allphone_search.h>`

## Data Fields

phmm_t * | phmm
| PHMM ending this path.
int32 | score
| Path score for this path.
int32 | tscore
| Transition score for this path.
frame_idx_t | ef
| End frame.
int32 | hist
| Previous history entry.

## Detailed Description

History (paths) information at any point in allphone Viterbi search.

Definition at line 81 of file allphone_search.h.

## Field Documentation

## ef

frame_idx_t history_s::ef

End frame.

Definition at line 85 of file allphone_search.h.

## hist

int32 history_s::hist

Previous history entry.

Definition at line 86 of file allphone_search.h.

## phmm

phmm_t* history_s::phmm

PHMM ending this path.

Definition at line 82 of file allphone_search.h.

## score

int32 history_s::score

Path score for this path.

Definition at line 83 of file allphone_search.h.

## tscore

int32 history_s::tscore

Transition score for this path.

Definition at line 84 of file allphone_search.h.

The documentation for this struct was generated from the following file:

- src/libpocketsphinx/allphone_search.h